f



pthreads/dlopen issue when building krb-1.6.3 on AIX 6.1?

I'm attempting to build MIT Kerberos version 1.6.1 on AIX 6.1.  I'm 
mostly in need of the client libraries and utilities.

I'm using the following special additions to the build environment:

    $ export PTHREAD_LIBS="-lpthread"
    $ export RPATH_FLAG="-Wl,-brtl,-blibpath:"


I'm using the following ./configure command:

    $ ./configure --prefix=/usr/local/krb5-1.6.3
    --enable-log-preauth-logins --enable-login-print-issue
    --with-multihomed-fixes --enable-app-proxy --with-passive-mode-off
    --without-anonymous-ftp


And I get the following results when I run it:

    [snip]
    configure: enabling thread support
    checking for pthread_join in LIBS=-lpthread with CFLAGS=... yes
    checking for joinable pthread attribute... unknown
    configure: WARNING: we do not know how to create joinable pthreads
    checking if more special flags are required for pthreads... -D_THREAD_SAFE
    checking for cc_r... cc_r
    configure: PTHREAD_CC = cc_r
    configure: PTHREAD_CFLAGS = -D_THREAD_SAFE 
    configure: PTHREAD_LIBS = -lpthread
    checking for pthread_once... yes
    checking for pthread_rwlock_init... yes
    configure: rechecking with PTHREAD_... options
    checking for pthread_rwlock_init in -lc... yes
    checking for library containing dlopen... none required
    checking keyutils.h usability... no
    checking keyutils.h presence... no
    checking for keyutils.h... no
    configure: disabling static libraries
    configure: WARNING: shared libraries not supported on this architecture
    configure: error: must enable one of shared or static libraries
    $


Does anyone have any suggestions?

Many thanks,
-Luke



0
5/13/2009 3:17:27 PM
comp.protocols.kerberos 5541 articles. 1 followers. jwinius (31) is leader. Post Follow

0 Replies
602 Views

Similar Articles

[PageSpeed] 20

Reply:

Similar Artilces:

Please explain PS3.3-6.1.1 and PS3.3-6.1.2
PS3.3-6.1.1 reads: ...When an instance of a Composite IOD is communicated, this entire context is exchanged between Application Entities.... PS3.3-6.1.2 reads: ...When an instance of a Normalized IOD is communicated, the context for that instance is not actually exchanged. Instead, the context is provided through the use of pointers to related Normalized IOD instances. If I understand it correctly, 6.1.1 says the composite object has all the info needed to fully understand the IOD. But I can't quite figure out what 6.1.2 is saying. By a "Pointer", Is it saying that where related data is indicated, you will find data that identifies another, normalized IOD - like a foreign key in a Normalized database? If so, what will that ID look like? Is it a UID? (Would make sense because otherwise, how would the SCP be able to look this IOD up?) Or am I totally missing the point? sendjunktodp@hotmail.com (Mr. P) wrote in message news:<8cba616e.0410181142.1dfefb14@posting.google.com>... > PS3.3-6.1.1 reads: ...When an instance of a Composite IOD is > communicated, this entire context is exchanged between Application > Entities.... > > PS3.3-6.1.2 reads: ...When an instance of a Normalized IOD is > communicated, the context for that instance is not actually exchanged. > Instead, the context is provided through the use of pointers to > related Normalized IOD instances. > > If I understand it corr...

RE: KRB5 1.5 or 1.6 compiled on AIX 5.2/5.3 #6
Wasn't really the solution I came up with; but it worked. You might be correct since now the OpenSSL binaries will not build against the Kerberos libraries currently. libssl and libcrypto build fine along with everything else; but the actual openssl binary fails. Phil, Have you successfully linked OpenSSL with the new Kerberos libraries ? Thanks, Lamar -----Original Message----- From: Sam Hartman [mailto:hartmans@mit.edu] Sent: Friday, February 09, 2007 10:18 AM To: Saxon, Lamar Cc: pgp@psu.edu; kerberos@MIT.EDU Subject: Re: KRB5 1.5 or 1.6 compiled on AIX 5.2/5.3 Do you really want rtl as a linker flag? Isn't that going to be an issue for people linking against the kerberos libraries. Why is that the right solution? Privileged and Confidential. This e-mail, and any attachments there to, is intended only for use by the addressee(s) named herein and may contain privileged or confidential information. If you have received this e-mail in error, please notify me immediately by a return e-mail and delete this e-mail. You are hereby notified that any dissemination, distribution or copying of this e-mail and/or any attachments thereto, is strictly prohibited. ________________________________________________ Kerberos mailing list Kerberos@mit.edu https://mailman.mit.edu/mailman/listinfo/kerberos ...

PIX 6.3(1) to 6.3(5) to 7.2(1)
I wanted to find a simple list of feature benefits of upgrading to the above PIX version, but just found the list of bug fixes & nothing in plain english that I can communicate with my client. Is there anywhere on ciscos home page that has the feature changes in plain english. ie. Your on version 6.3(1) so upgrading to 6.3(5) you will get this. Then if you upgrade to 7.2(1) you will be able to do this. You may wish to investigate: New Features: http://www.cisco.com/en/US/products/sw/secursw/ps2120/products_upgrade_guides09186a0080369ee2.html#wp1482875 Hope this helps. Brad...

Problem installing matplotlib 1.3.1 with Python 2.7.6 and 3.3.3 (release candidate 1)
Hello, I tried to install matplotlib 1.3.1 on the release candidates of Python 2.7.6 and 3.3.3. I am on Mac OS X 10.6.8. Although the installation gave no problems, there is a problem with Tcl/Tk. The new Pythons have their own embedded Tcl/Tk, but when installing matplotlib it links to the Frameworks version of Tcl and TK, not to the embedded version. This causes confusion when importing matplotlib.pyplot: objc[70648]: Class TKApplication is implemented in both /Library/Frameworks/Python.framework/Versions/2.7/lib/libtk8.5.dylib and /Library/Frameworks/Tk.framework/Versions/8.5/Tk. One of the two will be used. Which one is undefined. objc[70648]: Class TKMenu is implemented in both /Library/Frameworks/Python.framework/Versions/2.7/lib/libtk8.5.dylib and /Library/Frameworks/Tk.framework/Versions/8.5/Tk. One of the two will be used. Which one is undefined. objc[70648]: Class TKContentView is implemented in both /Library/Frameworks/Python.framework/Versions/2.7/lib/libtk8.5.dylib and /Library/Frameworks/Tk.framework/Versions/8.5/Tk. One of the two will be used. Which one is undefined. objc[70648]: Class TKWindow is implemented in both /Library/Frameworks/Python.framework/Versions/2.7/lib/libtk8.5.dylib and /Library/Frameworks/Tk.framework/Versions/8.5/Tk. One of the two will be used. Which one is undefined. And then later it gives a lot of error messages. So I think it should be linked to the embedded version. For this the matplotlib setupext.py should be ad...

Using dns with kerberos-1.6.3 on AIX 5.3
Greetings list, I am trying to build kerberos-1.6.3 on an AIX 5.3 platform using --enable-dns --enable-dns-for-kdc --enable-dns-for-realm. It would appear that the ./configure script is not finding -lresolv in AIX. However, this seems to work fine on my Linux systems which seem to function properly with --enable-dns and are able to find -lresolv provided by glibc. I've tried symlinking libresolv.a to libc.a on the AIX system, but I still get the same error from kerberos after rebuilding when I try to use kinit with a realm who's KDC SRV records are published in DNS. Is there any workaround to be able to use --enable-dns on systems, like AIX, without -lresolv? Or am I missing something? Thanks in advance. ...

where can I get the mib for application(1.3.6.1.4.1.311.1.13.1.*..)
I config an system alert in the performace monitor in windows server 2003 ,then use "evntwin" to setup the snmp trap. There is no problem on snmp trap sending ,but snmp management client need the mib file for the alert. Where can I get the mib ? microsoft OBJECT IDENTIFIER ::= { enterprises 311 } software OBJECT IDENTIFIER ::= { microsoft 1 } OID : 1.3.6.1.4.1.311.1.13.1.*.*.*.* I has checked the mib file in "c:/windows/system32",but nothing is match : 1.3.6.1.4.1.311.1.13.1 ............ ...

RE: KRB5 1.5 or 1.6 compiled on AIX 5.2/5.3 #3
Thanks. The problem also exist using GNU ld on AIX too. See below: make[2]: Entering directory `/usr/sys/inst.images/MIT-Kerberos/krb5-1.6/5.3/src/lib/rpc' making all in lib/rpc/unit-test... make[3]: Entering directory `/usr/sys/inst.images/MIT-Kerberos/krb5-1.6/5.3/src/lib/rpc/unit-test' cc -L../../../lib -blibpath:/usr/local/kerberos/lib::/usr/lib:/lib -g -qhalt=e -O -D_THREAD_SAFE -o client client. o rpc_test_clnt.o \ -lgssrpc -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lkrb5support -lpthreads ld: 0706-006 Cannot find or open library file: -l k5crypto ld:open(): No such file or directory ld: 0706-006 Cannot find or open library file: -l com_err ld:open(): No such file or directory ld: 0706-006 Cannot find or open library file: -l krb5support ld:open(): No such file or directory make[3]: *** [client] Error 255 make[3]: Leaving directory `/usr/sys/inst.images/MIT-Kerberos/krb5-1.6/5.3/src/lib/rpc/unit-test' make[2]: *** [all-recurse] Error 1 make[2]: Leaving directory `/usr/sys/inst.images/MIT-Kerberos/krb5-1.6/5.3/src/lib/rpc' make[1]: *** [all-recurse] Error 1 make[1]: Leaving directory `/usr/sys/inst.images/MIT-Kerberos/krb5-1.6/5.3/src/lib' make: *** [all-recurse] Error 1 root@aoctoolbox:/usr/sys/inst.images/MIT-Kerberos/krb5-1.6/5.3/src:> whence ld /usr/local/bin/ld root@aoctoolbox:/usr/sys/inst.images/MIT-Kerberos/krb5-1.6/5.3/src:> ld -v GNU ld version 2.16 Lamar -----Original Message----- From: Russ Al...

when 1.6 != 1.6? -- newbie
Really enjoying Ruby so far, but now I'm confused. To help learn Ruby, I've been translating the Java code in the "Head First Design Patterns" book into Ruby, aware that many are built-in with Ruby. While mimicking the Decorator pattern I'm getting a strange failure to an assert_equal. The unit test excerpts: @e = Expresso.new @e.setSize('grande') @e = Mocha.new(@e) assert_equal(1.40, @e.cost(),"price check") --> pass @e = Mocha.new(@e) assert_equal("Expresso, Mocha, Mocha", @e.getDescription()) --> pass #puts @e.cost() --> ...

[ANN] unicorn 3.3.1 and 1.1.6
Unicorn is an HTTP server for Rack applications designed to only serve fast clients on low-latency, high-bandwidth connections and take advantage of features in Unix/Unix-like kernels. Slow clients should only be served by placing a reverse proxy capable of fully buffering both the the request and response in between Unicorn and slow clients. * http://unicorn.bogomips.org/ * mongrel-unicorn@rubyforge.org * git://git.bogomips.org/unicorn.git Changes: We now close the client socket after closing the response body. This does not affect most applications that run under Unicorn, i...

ACE 5.3.1 on QNX 6.2.0 and 6.2.1
This is a multi-part message in MIME format. --------------030903080607030201060208 Content-Type: text/plain; charset=us-ascii; format=flowed Content-Transfer-Encoding: 7bit Hi, I have done some work to get QNX compiled on QNX Neutrino 6.2.0 and QNX 6.2.1. It works with the GNU libraries as well as the Dinkum libraries. I have made tests on x86 and PPC and most of the ACE tests succeed. Debug compilations as well as Release compilations work. Using other processor architectures should work. In order to get things running I have created 3 files that you will need to use (apart from obtaining...

Kerberos 1.6 on AIX 5.3
Hi, I've seem some references to this issue before without resolution, has anyone been able to compile Kerberos 1.6 on AIX successfully? I've tried with both the IBM compiler and gcc, both IBM & GNU's ld seems to get confused during the link of gssrpc and associated libs. My IBM C is version 7.0.0.4, my GNU compiler is the IBM distribution of 4.0.0. My OS is AIX 5.3 TL04, the machine is p630. I don't know if it's worth noting but configure picks up the IBM ld even if it's not in the path, I resorted to renaming /usr/bin/ld in order to force the GNU compile to stop using the IBM ld. Output from the IBM compiler: export CC=cc export CFLAGS='-D_LARGE_FILES -DLANL -DLANL_ICN'; export CFLAGS export LIBPATH=/usr/lib:/usr/local/lib:/opt/freeware/lib ../configure --prefix=/usr/local/apps/kerberos-1.6.1 --without-threads .... make .... Target "all" is up to date. : ../../include/gssapi/gssapi.h updated by recursion rule : generic/gssapi_err_generic.h updated by recursion rule : krb5/gssapi_err_krb5.h updated by recursion rule : krb5/gssapi_krb5.h updated by recursion rule Target "all" is up to date. Target "all" is up to date. making all in lib/rpc... making all in lib/rpc/unit-test... Target "all" is up to date. cc -L../../../lib -blibpath:/usr/local/apps/kerberos-1.6.1/lib::/usr/lib:/lib -D_LARGE_FILES -DLANL -DLANL_ICN -qhalt=e -O -D_THREAD_SAFE -o c...

Re: [ANN] markup.py 1.6 (bugfix: 1.6.1)
> The new 1.6 release of markup.py is available for download: > > http://sourceforge.net/project/showfiles.php?group_id=161108 > > What is it? > > Markup.py is an intuitive, lightweight, easy-to-use, customizable and > pythonic HTML/XML generator. > > Where is the documentation? > > http://markup.sourceforge.net/ > > Why is it called markup.py and not markup? > > This way it's easier to search for it online and also shows that it's > a single module. Also note that the former Markup project of Edgewall > changed its name to Genshi i...

Problem building krb5 v 1.6.3 on AIX 5.3 using gcc 4.2.0
Hello, I'm having a problem building krb5 v 1.6.3 on AIX 5.3 using gcc 4.2.0. configure runs OK, but make stops with the following error: gcc -L../../../lib -Wl,-blibpath:/usr/local/lib::/usr/lib:/lib -g -O2 -Wall -Wmissing-prototypes -Wcast-qual -Wcast-align -Wconversion -Wshadow -pedantic -D_THREAD_SAFE -o client client.o rpc_test_clnt.o -lgssrpc -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lkrb5support -lpthreads ld: 0706-006 Cannot find or open library file: -l gssrpc ld:open(): A file or directory in the path name does not exist. ld: 0706-006 Cannot find or open library file: -l gssapi_krb5 ld:open(): A file or directory in the path name does not exist. ld: 0706-006 Cannot find or open library file: -l krb5 ld:open(): A file or directory in the path name does not exist. ld: 0706-006 Cannot find or open library file: -l k5crypto ld:open(): A file or directory in the path name does not exist. ld: 0706-006 Cannot find or open library file: -l com_err ld:open(): A file or directory in the path name does not exist. ld: 0706-006 Cannot find or open library file: -l krb5support ld:open(): A file or directory in the path name does not exist. collect2: ld returned 255 exit status make: 1254-004 The error code from the last command is 1. Stop. make: 1254-004 The error code from the last command is 1. Stop. make: 1254-004 The error code from the last command is 1. Stop. make: 1254-004 The error code from the la...

Installing Plucker Desktop 1.6.0.1 over 1.6.0.0
Is it safe to install Plucker Desktop 1.6.0.1 over 1.6.0.0? I'm using the Windows version. Chuck -- <http://www.drchuck.net/> Home of the Dr. Chuck Network "Charles A. Kunz" <drchuck@i-2000.com> wrote in message news:6546qv07ajb7nbr9vo7tl53u71cmc5dod3@4ax.com... > Is it safe to install Plucker Desktop 1.6.0.1 over 1.6.0.0? I'm using > the Windows version. > > Chuck > -- Hi Chuck, I guess it safe; if not, email the author of the software of any problems. Byron --- Byron's Emporium - Cool eBooks for PDA's ENJOYOU...

Eudora 6.1.1.1 new mail alert issues
I am on my third email in three weeks to support on these issues. I think their email support just sends it to the bit bucket. To date, I have had zero response back. Getting frustrated that I paid for this program and getting zero support. Unfortunatly I can't call them when they are open. Issues are: 1) When only Junk mail is received, the attention sound is played. The attention sound will play if you have any unread messages in any folder (including Junk). As your mail is filtered, it places your spam in your junk folder and leaves the messages with the status "unread". A workaround (I found in this newsgroup) is to turn off the attention sound and create a folder + filter to move your mail from your inbox and play a sound. Ok.. a pretty ugly hack, but works. They could solve the attention sound issue by playing the sound when the "new mail has arrived" icon appears in the system tray instead of checking for unread messages. 2) Eudora claims new messages have arrived in the system tray icon, but when you open up Eudora, nothing appears to have arrived. Looks like it is just counting the new messages downloaded, but doesn't subtract what was filtered to the junk folder. Not sure what to do here as it is cricitcal for me to be alerted when NEW and VALID email has arrived, not JUNK and UNREAD messages. Any ideas? Hi, 6.1.2 is out. I heard it fixed some address book is...

XLF 6.1 on AIX 5.1. Can it be done? Libary issues.
Hi guys, I'm a newbie trying to learn AIX administration so I apologize if this is a dumb question. I got a used RS6000 and it has AIX 5.1. I have the original AIX 5.1 CDs. I also got an original unopened package of XLF 6.1. I used to use XLF 6.1 at work and I thought we were running it on AIX 5.1, but when I installed it on the RS6000 at home, I ran into trouble. The install was successful (although I did have to install bos.adt.libm from the AIX CD1, but I got that figured out). But when I try to compile/link something, it gives an error. The error says it could not load libxlf...

Kerberos 1.6 on AIX 5.3 #2
Hi, I've seem some references to this issue before without resolution, has anyone been able to compile Kerberos 1.6 on AIX successfully? I've tried with both the IBM compiler and gcc, both IBM & GNU's ld seems to get confused during the link of gssrpc and associated libs. My IBM C is version 7.0.0.4, my GNU compiler is the IBM distribution of 4.0.0. My OS is AIX 5.3 TL04, the machine is p630. I don't know if it's worth noting but configure picks up the IBM ld even if it's not in the path, I resorted to renaming /usr/bin/ld in order to force the GNU compile to stop using the IBM ld. Output from the IBM compiler: export CC=cc export CFLAGS='-D_LARGE_FILES -DLANL -DLANL_ICN'; export CFLAGS export LIBPATH=/usr/lib:/usr/local/lib:/opt/freeware/lib ../configure --prefix=/usr/local/apps/kerberos-1.6.1 --without-threads .... make .... Target "all" is up to date. : ../../include/gssapi/gssapi.h updated by recursion rule : generic/gssapi_err_generic.h updated by recursion rule : krb5/gssapi_err_krb5.h updated by recursion rule : krb5/gssapi_krb5.h updated by recursion rule Target "all" is up to date. Target "all" is up to date. making all in lib/rpc... making all in lib/rpc/unit-test... Target "all" is up to date. cc -L../../../lib -blibpath:/usr/local/apps/kerberos-1.6.1/lib::/usr/lib:/lib -D_LARGE_FILES -DLANL -DLANL_ICN -qhalt=e -O -D_THREAD_SAFE -o c...

Media Storage SOP Class UID: 1.2.840.113543.6.6.1.3.10002
Hi there, Has anyone seen such Media Storage SOP Class ? It seems to come from a Philips scanner. On a related subject this dataset is a 4D dataset and I am confused with the value of 'Number of Frames'. Basically this value is equal to the third dimension and I have either: to deduct the size of the 4th dimension (divide pixel length by proper ratio) or read in a private tag to get 4th dimension. In summary I have: (0028,0002) US 1 # 2, 1 SamplesPerPixel (0028,0008) IS [11] # 2, 1 NumberOfFrames (0028,0010) US 144 # 2, 1 Rows (0028,0011) US 160 # 2, 1 Columns (3001,1001) UL 128 # 4, 1 Unknown Tag & Data (7fe0,0010) OW 0000\0000... # 32440320, 1 PixelData Indeed 1*11*144*160*128=32440320 Comments ? Mathieu Ps: It does not match the 4D description found at: ftp://medical.nema.org/medical/dicom/supps/sup63_pc.pdf ...

KRB5 1.4 vs. KRB5 1.3.6 on AIX 5.2
I was hoping someone might be able to help me fix an issue I have encountered. I tested KRB5 1.3.6 on AIX 5.2 using C for AIX and the installed make. Created a krb5.conf and krb5.keytab to talk to a Windows 2k AD Domain Controller. Had no issues, connected and received tickets fine. I recently installed KRB5 1.4 on the same machine after removing the 1.3.6 footprint. I encountered an issue seen by others with the error: "Syntax error at line 1 : `(' is not matched" when using AIX's make; but it seems to work fine using GNU Make. After compiling and doing a make install, I consistently receive the following message when using kinit while using the same keytab and configuration as 1.3.6: "Cannot resolve network address for KDC in requested realm while getting initial credentials" Is there a significant change to krb5.conf between 1.3.6 and 1.4 ? The binaries seem to work fine; but it does not look like it is even looking at the krb5.conf file. I can change the name or move it and the message stays the same. I have tried disabling DNS for realm and kdc; put master_kdc in the entries; but still does not even act like it is looking at this file. Any help is greatly appreciated. Lamar Saxon Lamar.Saxon@americredit.com Lead Server Engineer 817-525-7122 //AmeriCredit 4001 Embarcadero Arlington ,TX 76014 Privileged and Confidential. This e-mail, and any attachments there to, is intended only for use by the addressee(s) named herein and...

KRB5 1.5 or 1.6 compiled on AIX 5.2/5.3
Has any been able to successfully compile KRB5 v1.5.1, v1.5.2, or v1.6 on AIX 5.2 or 5.3 ? If so, can you send me you configs ? I have posted this message before, but no one seems to be able to help. I have successfully compiled KRB5 1.4.4 on AIX 4.3 / 5.2 / 5.3; but since the release of 1.5.1 and beyond, I am cannot get it to work. All of the versions seem to error out here: making all in lib/rpc/unit-test... Target "all" is up to date. cc -L../../../lib -blibpath:/usr/local/kerberos/lib::/usr/lib:/lib -D_LARGE_FILES -DLANL -DL ANL_ICN -qhalt=e -O -D_THREAD_SAFE -o client client.o rpc_test_clnt.o -lgssrpc -lgssapi_krb5 -lkr b5 -lk5crypto -lcom_err -lkrb5support -lpthreads ld: 0706-006 Cannot find or open library file: -l k5crypto ld:open(): A file or directory in the path name does not exist. ld: 0706-006 Cannot find or open library file: -l com_err ld:open(): A file or directory in the path name does not exist. ld: 0706-006 Cannot find or open library file: -l krb5support ld:open(): A file or directory in the path name does not exist. make: 1254-004 The error code from the last command is 255. Stop. make: 1254-004 The error code from the last command is 1. Stop. make: 1254-004 The error code from the last command is 1. Stop. make: 1254-004 The error code from the last command is 1. Stop. I have tried using GCC 4.0 and IBM XLC/XLC++ 8.0 with no success and failures at the same point. My confi...

error in reg ex parser of 1.6.3 and 1.8.1?
I would assume this to be an error: "<META http-equiv=\"Content-Type content=\"text/html; charset=iso-8859-1\">".gsub(/<(?:[^">]+|"[^"]*")+>/) { |sMatch| puts sMatch; ''} will stop processing of a script - it hangs. I know the HTML text is wrong, but the text is not from me. Any idea what I can use as workaround as RegExp so that this will not happen? Christian >>>>> "C" == Christian Kaiser <chk@online.de> writes: C> I would assume this to be an error: it's called "e...

Compiling 1.5.3 or 1.6.1 on Solaris 5.9
I've been pulling my hair out over this for a couple hours and I can't see forest for trees at this point. Both version fail to compile libkrb5support.so.0.1 with this error + gcc -g -O2 -Wall -Wmissing-prototypes -Wcast-qual -Wcast-align - Wconversion -Wshadow -pedantic -shared -h libkrb5support.so.0 -o libkrb5support.so.0.1 threads.so init-addrinfo.so plugins.so errors.so gmt_mktime.so fake-addrinfo.so -R/afs/slac.stanford.edu/ package/krb5/1.5.3/sun4x_59/lib -lresolv -lsocket -lnsl -ldl ld: fatal: file libkrb5support.so.0: open failed: No such file or directory collect2: ld returned 1 exit status I am using gcc 3.2.3 and the only odd thing I can see is the -shared -h libkrb5support.so.0 option. Documentation on what -h actually does seems sparse... It certainly doesn't do what is listed in the man page. _ Booker C. Bense ...

RE: KRB5 1.4 vs. KRB5 1.3.6 on AIX 5.2
The compile with CC works with no issues. The other issue still remains. "Cannot resolve network address for KDC in requested realm while getting initial credentials" I tried kinit with the -k and verbose; but not with a password. I will post the results once I get it accomplished. Thanks, Lamar -----Original Message----- From: Tom Yu [mailto:tlyu@MIT.EDU] Sent: Thursday, April 21, 2005 2:18 PM To: Saxon, Lamar Cc: kerberos@mit.edu Subject: Re: KRB5 1.4 vs. KRB5 1.3.6 on AIX 5.2 >>>>> "Lamar" == <Lamar.Saxon@americredit.com> writes: Lamar> I tested KRB5 1.3.6 on AIX 5.2 using C for AIX and the installed make. Lamar> Created a krb5.conf and krb5.keytab to talk to a Windows 2k AD Domain Lamar> Controller. Had no issues, connected and received tickets fine. Lamar> I recently installed KRB5 1.4 on the same machine after removing the Lamar> 1.3.6 footprint. I encountered an issue seen by others with the error: Lamar> "Syntax error at line 1 : `(' is not matched" Lamar> when using AIX's make; but it seems to work fine using GNU Make. This was ticket #2992, which will be fixed in the upcoming krb5-1.4.1 release. Lamar> After compiling and doing a make install, I consistently receive the Lamar> following message when using kinit while using the same keytab and Lamar> configuration as 1.3.6: Lamar> "Cannot resolve network address for KDC in requested realm while getting...

KRB5 1.4 vs. KRB5 1.3.6 on AIX 5.2 (fwd)
I have done some research on this problem. The host resolve code does not complete successfully. I have traced the error to the routine at /kerberos/mit/krb5-1.4/src/lib/krb5/os/dnsglue.c. In the routine a call is made to res_ninit to provide dns information for the kdc. res_ninit updates the structure at statbuf but overlays memory 72 bytes past the structure boundary. I have opened a problem with IBM on res_ninit. The problem is not yet resolved but IBM suggested using a malloc for the structure instead of static storage. I am trying to get IBM to correct the error in res_ninit. No resoultion yet. >Delivery-Date: Thu, 21 Apr 2005 12:15:05 -0600 >Return-Path: <owner-kerberos@lanl.gov> >X-Original-To: hgm@localhost.localdomain >Delivered-To: hgm@localhost.localdomain >Received: from localhost (localhost.localdomain [127.0.0.1]) > by moki.lanl.gov (Postfix) with ESMTP id 15AAB68739 > for <hgm@localhost.localdomain>; Thu, 21 Apr 2005 12:15:05 -0600 > (MDT) >Received: from ccn-mail.lanl.gov [128.165.4.105] > by localhost with POP3 (fetchmail-6.2.5) > for hgm@localhost.localdomain (single-drop); Thu, 21 Apr 2005 > 12:15:05 -0600 >(MDT) >Received: from ccn-mail.lanl.gov ([unix socket]) > by ccn-mail.lanl.gov (Cyrus v2.2.3-Red Hat 2.2.3-6.lanl) with > LMTP; Thu, 21 >Apr 2005 12:11:13 -0600 >X-Sieve: CMU Sieve 2.2 >Received: from mailrelay3.lanl.gov (mail...

Web resources about - pthreads/dlopen issue when building krb-1.6.3 on AIX 6.1? - comp.protocols.kerberos

C - Skills - LinkedIn
See top C professionals, groups, and related job openings.

John Paul Titlow (@johnpaul) on Twitter
Sign in Sign up You are on Twitter Mobile because you are using an old version of Internet Explorer. Learn more here John Paul Titlow @ johnpaul ...

Lock (computer science) - Wikipedia, the free encyclopedia
Generally, locks are advisory locks , where each thread cooperates by acquiring the lock before accessing the corresponding data. Some systems ...

Job Interview at Apple
Navigation Menu Home Adobe Amazon Apple AT&T Bank of America Citrix Dell eBay Electronic Arts Facebook Google Hitachi HP IBM Intel Intuit McDonalds ...

Parallel BZIP2 (PBZIP2)
... implementation of the bzip2 file compressor PBZIP2 is a parallelimplementation of the bzip2 block-sorting file compressor that uses pthreadsand ...

Arduino Usertools simple threading, simple user interface, powerful debugging - Arduino Forum
Arduino Usertools simple threading, simple user interface, powerful debugging

SENIOR SOFTWARE DEVELOPMENT ENGINEER
SENIOR SOFTWARE DEVELOPMENT ENGINEER job in BALTIMORE, Maryland, US. Read the SENIOR SOFTWARE DEVELOPMENT ENGINEER job description and find other ...

UNIX INTERNATIONAL REVIEWS THE UNIX SYSTEM V.4 STORY SO FAR
Unix International Inc says that its Unix System V.4 EnhancedSecurity Multi-processing - ES/MP - effort will coalesce variousprojects that have ...

书籍搜索: Peter Bil
... 搜索结果121-135 共64057 The Family Circus by Request Keane, Bil / Ideals Pubns / 2004-1 / $ 14.63 ( 少于10人评价 ) Multithreaded Programming With PThreads ...

Making the Most of Multi-Core Processors: Part 1
In Part 1 of a series of articles, the QNX authors evaluate the two most popular multiprocessing models - symmetric (SMP) and asymmetric (AMP) ...

Resources last updated: 3/10/2016 9:43:41 PM